@import "../../assets/utils";

.table {
  display: table;
  width: 100%;
  background: $color-secondary;
}

.isFixed {
  table-layout: fixed;
}

.isBordered {
  border-radius: 5px;
  border-collapse: collapse;
  overflow: hidden;
  box-shadow: inset 0 0 0 1px transparentize(#000000, .92);

  .cell {
    border: 1px solid transparentize(#000000, .92);
  }
}

.isHorizontallyStriped {
  .bodyRow {
    &:nth-child(odd) {
      background: #F3F7FB;
    }
  }
}

.isVerticallyStriped {
  .cell {
    &:nth-child(even) {
      background: #F3F7FB;
    }
  }
}

.isTotallyStriped {
  .bodyRow {
    &:nth-child(odd) {
      .cell {
        &:nth-child(even) {
          background: #eaeef2;
        }
        &:nth-child(odd) {
          background: #f5f9fd;
        }
      }
    }
    &:nth-child(even) {
      .cell {
        &:nth-child(even) {
          background: #f5f9fd;
        }
      }
    }
  }
  .headCell {
    &:nth-child(even) {
      background: #f5f9fd;
    }
  }
}

.noColumns {
  opacity: .7;
  text-align: center;
}

.header {
  display: table-header-group;
}

.body {
  display: table-row-group;
}

.row {
  display: table-row;
}

.headRow {

}

.bodyRow {

}

.cell {
  display: table-cell;
  padding: 16px 8px;
}

.headCell {
  text-align: center;
}

.bodyCell {

}

.cellTitle {
  opacity: .9;
  color: #333;
  justify-content: center;
}

.cellSubTitle {
  opacity: .9;
  color: #333;
  margin-top: 5px;
  justify-content: center;
}

.value {
  color: #4F4F4F;
}

.hint {
  margin-top: 4px;
  color: transparentize(#333, .5);
}

.noDataRow {
  display: table-row;
}

.noDataCell {
  display: table-cell;
  opacity: .7;
  text-align: center;
}

.caption {
  padding: 0 5px 5px;
  text-align: right;
  opacity: .7;
}

.isCondensed {
  .cell {
    padding: 6px 4px;
  }
}